DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_05_18-UserActionsTypeCodeUserName';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14984) THEN
			RETURN;
		END IF;

		BEGIN
            		
			ALTER TABLE public."UserActions" ADD "TypeCode" character varying(500) NULL;
			ALTER TABLE public."UserActions" ADD"UserName" character varying(120) NULL;

			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2025_05_18-UserActionsTypeCodeUserName: %', SQLERRM;


		END;
	END;
$$